Bug 65571 - PostgresqlDataSource missing in JAR of postgresql-jdbc
PostgresqlDataSource missing in JAR of postgresql-jdbc
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 15:06 EDT by Boris Folgmann
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-27 15:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2002-05-27 15:06:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020524

Description of problem:
The postpresql-jdbc.rpm contains JARs that contain the classes needed to access
the postgresql database. All JARs miss the PostgresqlDataSource class. This
prevents one from using the JDBC2 methods of J2EE to access the database using a
connection pool.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. do a jar tvf for the files in /usr/share/pgsql
2. grep for DataSource
3. see that the class file is missing
	

Expected Results:  To allow full usage of J2EE the DataSource class should be
present in the jdbc-JAR.


Additional info:

J2EE needs to be installed on your building system.
See http://archives.postgresql.org/pgsql-jdbc/2001-05/msg00104.php for more
information on how to do it right.
Comment 1 Trond Eivind Glomsrxd 2002-07-08 19:08:20 EDT
We distribute the drivers from jdbc.postgresql.org - the distribution is self
hosting, and no JDK/J2EE environment is included.

Note You need to log in before you can comment on or make changes to this bug.